#version 130

uniform float brightness;
uniform sampler2D currentTexture;

void main()
{
    vec4 uv = texture2D(currentTexture, gl_TexCoord[0].xy);
    uv.rgb *= brightness;
    gl_FragColor = uv;
}
